<?php
require_once ("varables.php");

$myJSON['message'] = "0";
$myJSON['mmm'] = array();
if(isset($_POST["rnam"]) && isset($_POST["an1d"])
	&& isset($_POST["nekot"]))
{
	
    $name = $_POST["rnam"];
	$toke =  $_POST["nekot"];
	$user_id = $_POST["an1d"];
	
    $connect = @mysqli_connect($hostname,$username,$password,$database);
    if($connect)
    {
        @mysqli_query($connect,"SET CHARACTER SET utf8;");
        $query_token = "SELECT id FROM ".$tbl_sessions." WHERE token = '".$toke."' AND uid ='".$user_id."' AND type ='A' LIMIT 1";
		$tokres=@mysqli_query($connect,$query_token);
        if (!$tokres) {
            $myJSON['message']= "400" ;
			
        }
		else{
			$countoft = 0;
            while($rowt = @mysqli_fetch_assoc($tokres)){
				array_push($myJSON['mmm'], $rowt);
                $countoft++;
			}
			if($countoft == 0){
				$myJSON['message']= "405" ;
			}
			else{
				$inser_q = "INSERT INTO ".$tbl_routs." (name) 
				VALUES ('".$name."')";
				$insres=@mysqli_query($connect,$inser_q);
				if(!$insres)
					$myJSON['message']= "404" ;
				else
					$myJSON['message']= "200" ;
			}
		}
	}
	 else
		 $myJSON['message']="402";
}
    echo json_encode($myJSON);

?>